import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

class AppHeader extends StatelessWidget {
  const AppHeader({super.key, required this.text});

  final String text;

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          tr(text),
          textAlign: TextAlign.start,
          style: Theme.of(context).textTheme.headlineSmall!.apply(fontWeightDelta: 2),
        ),
        const SizedBox(height: 8),
      ],
    );
  }
}
